package database

import (
	"chromagies/src/config"
	"database/sql"
	"fmt"
)

var db *sql.DB
var dbConfig config.Database
var dbPath string

func Init(conf config.Config) {
	dbConfig = conf.Database
	dbPath = fmt.Sprintf("%s:%s@(%s:%d)/%s?parseTime=true", dbConfig.Host, dbConfig.Password, dbConfig.Host, dbConfig.Port, dbConfig.Database)
}

func openDB() {
	var err error

	if db != nil {
		db.Close()
		db = nil
	}

	db, err = sql.Open("mysql", dbPath)
	if err != nil {

	}
}
